> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.iot.telia.lt/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.iot.telia.lt/_mcp/server.

# My organization details

GET https://iot.telia.lt/api/v1/organisation/my

You can retrieve details about your own organisation


Reference: https://docs.iot.telia.lt/developers/api/organization/my-organisation-get

## Authentication

- `Authorization` header (bearer token, required) — An `auth_token` should be provided to authenticate a session. To obtain an `auth_token`, see the [`/api/v1/authenticate` **POST** request](/developers/api/authentication/authenticate).

## Response

### 200

Success

- `name` (string, optional)
- `organisation_type_id` (string, optional)
- `country_id` (string, optional)
- `organisation_status_id` (string, optional)
- `ext_reference` (string, optional)
- `monthly_cost_limit` (string, optional, nullable)
- `currency_id` (integer, optional)
- `organisation_class_id` (integer, optional)
- `created` (string, optional)
- `verification_type_id` (string, optional, nullable)
- `verification` (string, optional)
- `brand_id` (string, optional)
- `default_sms_routing_id` (string, optional, nullable)
- `id` (integer, optional)

## Errors

### 403 Forbidden Error

Your role doesn't include the permission this endpoint requires. Most endpoints return `error_code`, `error_token`, and `message`. Some return only `status_code` and `message`.

- `error_code` (integer, optional)
- `error_token` (string, optional)
- `status_code` (integer, optional)
- `message` (string, optional)

## Examples

**Response**

```json
{
  "name": "My org name",
  "ext_reference": "Salesrep",
  "monthly_cost_limit": "2000",
  "created": "2016-07-28T08:10:58.000+0000",
  "id": 1234,
  "class": {
    "description": "Commercial",
    "id": 0
  },
  "country": {
    "country_code": "49",
    "id": 74,
    "iso_code": "de",
    "mcc": "262",
    "name": "Germany"
  },
  "currency": {
    "code": "EUR",
    "id": 1,
    "symbol": "€"
  },
  "relation": {
    "id": 718,
    "type": {
      "description": "Customer of",
      "id": 0
    }
  },
  "status": {
    "description": "Enabled",
    "id": 0
  },
  "type": {
    "description": "Enterprise",
    "id": 4
  },
  "verification_type": {
    "description": "ID Card",
    "id": 3
  }
}
```

**SDK Code**

```python Retrieved
import requests

url = "https://iot.telia.lt/api/v1/organisation/my"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Retrieved
const url = 'https://iot.telia.lt/api/v1/organisation/my';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Retrieved
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/organisation/my"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Retrieved
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/organisation/my")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Retrieved
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v1/organisation/my")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Retrieved
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v1/organisation/my', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Retrieved
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/organisation/my");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Retrieved
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/organisation/my")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```